## org.apache.naming
Class TransactionRef

    java.lang.Object
      javax.naming.Reference
          org.apache.naming.TransactionRef

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class TransactionRef

extends javax.naming.Reference

Represents a reference address to a transaction.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Remy Maucherat
See Also:
  Serialized Form

Field Summary
`static java.lang.String` `DEFAULT_FACTORY` Default factory for this reference.

Fields inherited from class javax.naming.Reference
`addrs, classFactory, classFactoryLocation, className`

Constructor Summary
`TransactionRef()` Resource Reference.
`TransactionRef(java.lang.String factory, java.lang.String factoryLocation)` Resource Reference.

Method Summary
`java.lang.String` `getFactoryClassName()` Retrieves the class name of the factory of the object to which this reference refers.

Methods inherited from class javax.naming.Reference
`add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_FACTORY

    public static final java.lang.String DEFAULT_FACTORY

  Default factory for this reference.

  See Also:
    Constant Field Values

Constructor Detail

### TransactionRef

    public TransactionRef()

  Resource Reference.

### TransactionRef

    public TransactionRef(java.lang.String factory,
                          java.lang.String factoryLocation)

  Resource Reference.

  Parameters:
    `factory` - The factory class
    `factoryLocation` - The factory location

Method Detail

### getFactoryClassName

    public java.lang.String getFactoryClassName()

  Retrieves the class name of the factory of the object to which this reference refers.

  Overrides:
    `getFactoryClassName` in class `javax.naming.Reference`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.